Bug 5558 - [UPDATE REQUEST] kdelibs4 4.14.4 -> 4.14.8
: [UPDATE REQUEST] kdelibs4 4.14.4 -> 4.14.8
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-14 21:32 MSD by Andrey Bondrov
Modified: 2015-05-25 15:46 MSD (History)
3 users (show)

See Also:
RPM Package: kdelibs4
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-05-14 21:32:08 MSD
KDE Frameworks since 5.10.0 use user-places.xbel instead of bookmarks.xml in places model. This change was backported to kdelibs4 4.14.8 and dolphin 15.04.1. So we need to update kdelibs4 and backport dolphin patches to kdebase4 4.14.3.
Comment 1 Andrey Bondrov 2015-05-14 21:37:14 MSD
kdelibs4:

Advisory: "New version 4.14.8. The main change in this version is a switch from bookmarks.xml to user-places.xbel in places model. It's needed to avoid a mess in bookmarks when both KDE4 and KF5 applications are used."

https://abf.rosalinux.ru/build_lists/2501409
https://abf.rosalinux.ru/build_lists/2501410

kdebase4:

Advisory: "Backport patches from upstream to switch from bookmarks.xml to user-places.xbel in places model in Dolphin. It's needed to avoid a mess in bookmarks when both KDE4 and KF5 applications are used."

https://abf.rosalinux.ru/build_lists/2501413
https://abf.rosalinux.ru/build_lists/2501414

P.S. See https://bugs.kde.org/show_bug.cgi?id=345174 for more info about the switch.
Comment 2 FirstLevel 2015-05-15 14:08:34 MSD
Update goes well for 32 and 64bit.
Creating new user and entering with newly created KDE profile - ok
Comment 3 FirstLevel 2015-05-15 14:17:04 MSD
I have installed packages in real PC. Will be test
Comment 4 Vladimir Potapov 2015-05-21 18:08:37 MSD
The update is sent to expanded testing
*************************************
Comment 5 FirstLevel 2015-05-25 15:32:02 MSD
kdelibs4-core-4.14.8-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501409/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501410/x86_64/main/release/
kdebase4-4.14.3-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501413/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501414/x86_64/main/release/
************************ Advisory **********************
kdelibs4:

Advisory: "New version 4.14.8. The main change in this version is a switch from bookmarks.xml to user-places.xbel in places model. It's needed to avoid a mess in bookmarks when both KDE4 and KF5 applications are used."

kdebase4:

Advisory: "Backport patches from upstream to switch from bookmarks.xml to user-places.xbel in places model in Dolphin. It's needed to avoid a mess in bookmarks when both KDE4 and KF5 applications are used."
********************************************************
QA Verified